freemarker.template.utility

## Interface RichObjectWrapper

All Superinterfaces:
  ObjectWrapper, ObjectWrapperAndUnwrapper, ObjectWrapperWithAPISupport

All Known Implementing Classes:
  BeansWrapper, DefaultObjectWrapper, RhinoWrapper, SimpleObjectWrapper

    public interface RichObjectWrapper
    extends ObjectWrapperAndUnwrapper, ObjectWrapperWithAPISupport

Experimental - subject to change: Union of the interfaces that a typical feature rich `ObjectWrapper` is expected to implement.

Experimental status warning: This interface is subject to change on non-backward compatible ways, hence, it shouldn't be implemented outside FreeMarker yet.

Since:
  2.3.22

### Field Summary

### Fields inherited from interface freemarker.template.ObjectWrapperAndUnwrapper

`CANT_UNWRAP_TO_TARGET_CLASS`

### Fields inherited from interface freemarker.template.ObjectWrapper

`BEANS_WRAPPER, DEFAULT_WRAPPER, SIMPLE_WRAPPER`

### Method Summary

### Methods inherited from interface freemarker.template.ObjectWrapperAndUnwrapper

`tryUnwrapTo, unwrap`

### Methods inherited from interface freemarker.template.utility.ObjectWrapperWithAPISupport

`wrapAsAPI`

### Methods inherited from interface freemarker.template.ObjectWrapper

`wrap`